# $Revision: 1.49 $, $Date: 2003/05/17 22:33:23 $
Summary:	Updates and queries runlevel information for system services
Summary(de):	Aktualisiert runlevel-Informationen fr Systemdienste und fragt diese ab
Summary(es):	Herramienta para actualizar y listar servicios del sistema, por nivel de ejecucin (runlevel)
Summary(fr):	Mises  jour et interrogations des services systmes
Summary(ja):	/etc/rc.d γؤƥʥ󥹤뤿Υƥġ
Summary(pl):	Narzdzie do aktualizacji i odpytywania o informacje nt serwisw systemowych
Summary(pt):	Ferramenta para atualizar e listar servios do sistema, pelo nvel de execuo (runlevel)
Summary(ru):	     /etc/rc.d
Summary(tr):	Sistem servis bilgilerini sorgular ve yeniler
Summary(uk):	 ̦   Ȧ /etc/rc.d
Name:		chkconfig
Version:	1.2.24h
Release:	3
Epoch:		1
License:	GPL
Group:		Applications/System
#Source0:	ftp://ftp.redhat.com/pub/redhat/code/chkconfig/%{name}-%{version}.tar.gz
Source0:	http://www.buttsoft.com/~thumper/downloads/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-add.patch
Patch1:		%{name}-noxinet.patch
Patch2:		%{name}-pl.po-update.patch
Patch3:		%{name}-ponames.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	newt-devel
BuildRequires:	popt-devel
BuildRequires:	slang-devel
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
chkconfig provides a simple command-line tool for maintaining the
/etc/rc.d directory hierarchy by relieving system administrators of
directly manipulating the numerous symbolic links in that directory.

%description -l de
chkconfig bietet ein einfaches Befehlszeilen-Tool zum Verwalten der
Verzeichnishierarchie /etc/rc.d, indem es dem Systemadministrator das
direkte Bearbeiten der zahlreichen symbolischen Verknpfungen in
diesem Verzeichnis abnimmt.

%description -l es
Chkconfig provee una herramienta sencilla en la lnea de comando para
mantener la jerarqua de directorios /etc/rc.d, atenuando los
administradores del sistema del manejo directo de numerosos links
simblicos.

%description -l fr
chkconfig offre un outil simple en ligne de commande pour maintenir la
hirarchie du rpertoire /etc/rc.d tout en vitant aux administrateurs
systme de manipuler les diffrents liens symbolique de ce rpertoire.

%description -l ja
chkconfig
ϴŪʥƥ桼ƥƥǤ롣ϥƥॵӥ
runlevel ξ򥢥åץǡȤ両ڤ롣chkconfig  /etc/rc.d 
¿Υܥå󥯤ޤΤǡƥԤϼư
ܥå󥯤򤿤ӤӥǥåȤʤƤ褤

%description -l pl
Pakiet chkconfig udostpnia proste narzdzia do zarzdzania
zawartoci katalogw w /etc/rc.d .

%description -l pt_BR
Chkconfig prov uma ferramenta simples na linha de comando para manter
a hierarquia de diretrios /etc/rc.d, aliviando os administradores do
sistema da manipulao direta de numerosos links simblicos.

%description -l ru
chkconfig -     ,  
  /etc/rc.d,  
    /
    .

%description -l tr
Salad basit bir komut satr program yardmyla, /etc/rc.d
dizinlerinin yapsyla ilgilenerek sistem yneticilerinin bu
dizinlerde bulunan ok saydaki simgesel balanty dzenleme iini
hafifletir.

%description -l uk
chkconfig -   ̦  ,  
 Ȧ /etc/rc.d,  צѤ  ͦΦ
צ ȦԦ  / Φ Φ
   ڦ.

%package -n ntsysv
Summary:	Full-screen interface for configurating runlevel information
Summary(es):	Interface con mens para configuracin de informacin de niveles de ejecucin
Summary(ja):	/etc/rc.d ؤƥʥ󥹤륷ƥġ
Summary(pl):	Penoekranowy interfejs do wybierania dziaajcych usug systemowych
Summary(pt):	Interface com menus para configurao de informaes de nveis de execuo
Summary(ru):	     
Summary(uk):	    ҦΦ 
Group:		Applications/System
Requires:	%{name} = %{version}

%description -n ntsysv
ntsysv provides a full-screen tool for updating the /etc/rc.d
directory hierarchy, which controls the starting and stopping of
system services.

%description -n ntsysv -l es
ntsysv ofrece una herramienta basada en mens para actualizar la
jerarqua de directorios /etc/rc.d, que controla el arranque y el
cierre de servicios del sistema.

%description -n ntsysv -l ja
ntsysv ϥƥॵӥ runlevel ξ򥢥åץǡȤ両ڤ롣
ntsysv  ƥԤľ/etc/rc.d ¿Υܥå󥯤
뤳Ȥ롣

%description -n ntsysv -l pl
ntsysv udostpnia penoekranowe narzdzie do aktualizowania zawartoci
katalogw w /etc/rc.d, ktre kontroluj wczanie i wyczanie
poszczeglnych serwisw systemowych.

%description -n ntsysv -l pt_BR
O ntsysv fornece uma ferramenta baseada em menus para atualizar a
hierarquia de diretrios /etc/rc.d, que controla a inicializao e a
terminao de servios do sistema.

%description -n ntsysv -l ru
ntsysv -        
 /etc/rc.d,      
.

%description -n ntsysv -l uk
ntsysv -   ̦    ͦ Ȧ
Ǧ /etc/rc.d, Ҧ     
צӦ.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f po/eu{_ES,}.po
mv -f po/zh{,_TW}.po
mv -f po/zh_CN{.GB2312,}.po

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-max-level=6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/rc.d/{init,rc{0,1,2,3,4,5,6}}.d,sbin}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_sbindir}/chkconfig $RPM_BUILD_ROOT/sbin

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/chkconfig
%{_mandir}/man8/chkconfig.8*

%files -n ntsysv
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ntsysv
%{_mandir}/man8/ntsysv.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: chkconfig.spec,v $
Revision 1.49  2003/05/17 22:33:23  kloczek
- merge translations from Kondara.

Revision 1.48  2003/02/19 12:28:58  qboosh
- added ponames patch to standardize .po dir names; release 3

Revision 1.47  2003/02/18 22:35:37  qboosh
- argh, fixed broken add patch
- cleanups, added pl.po-update patch
- removed Prereq: popt - shouldn't be necessary now (rpm has been fixed)
- release 2

Revision 1.46  2003/01/30 07:40:30  trojan
- added --with-max-level=6 (configure didn't detect properly max runlevel
  on builders?)

Revision 1.45  2003/01/22 12:06:18  trojan
- updated to 1.2.24h

Revision 1.44  2002/04/25 16:05:02  arturs
fixed a small typo

Revision 1.43  2002/04/03 15:56:32  kloczek
- added Epoch: 1 (for allow upgrade from current RH version).

Revision 1.42  2002/04/03 15:55:16  kloczek
- release 5: merge translations from KSI and Conectiva.

Revision 1.41  2002/04/03 11:25:18  qboosh
- better pl, added BR: gettext-devel

Revision 1.40  2002/02/23 01:33:40  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.37  2001/06/15 15:52:31  baggins
- release 4
- requires rc-scripts

Revision 1.36  2001/04/05 22:38:22  qboosh
- fixed chkconfig-add patch (it just didn't work because of one missing change)
- use %%rpm{c,ld}flags macros
- release 3

Revision 1.35  2001/03/25 01:42:05  kloczek
- updated to 1.2.22.

Revision 1.34  2001/03/25 00:07:58  qboosh
- noxinet patch to remove xinetd stuff - we use rc-inetd instead

Revision 1.33  2001/03/16 18:02:37  qboosh
- popt patch: use shared libpopt
- adapterized, rpm automation (man gzipping), %%{debug} ready

Revision 1.32  2001/03/14 09:43:34  wiget
first step to ver 1.2.16

Revision 1.31  2000/09/03 09:59:27  saq
- using chkconfig-add.patch
- new release

Revision 1.30  2000/08/25 00:12:27  mis
- removed /etc/rc.d/rc? dirs, they are in rc-scripts

Revision 1.29  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.28  2000/05/27 10:33:16  zagrodzki
- release ++

Revision 1.27  2000/05/24 16:24:40  zagrodzki
- popt moved back to prereq

Revision 1.26  2000/05/24 14:22:52  zagrodzki
- moved popt to Requires:
- release++

Revision 1.25  2000/05/18 16:58:02  kloczek
- spec adapterized.

Revision 1.24  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/30 17:17:28  zagrodzki
- prereq: popt

Revision 1.22  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.21  1999/09/24 23:20:04  kloczek
- cosmetics.

Revision 1.20  1999/09/24 13:16:11  wiget
- removed unneeded patch

Revision 1.19  1999/09/24 12:33:40  wiget
- upgraded 1.0.7

Revision 1.18  1999/08/01 23:30:46  kloczek
- cosmetics changes.

Revision 1.17  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.16  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Apr 21 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.0.5-1]
- updated to 1.0.5,
- removed man group from man pages,
- added %defattr description in %files -n ntsysv,
- replacements in %files,
- added gzipping man pages,
- added %dir macros,
- fixed Requires in ntsysv,
- cosmetic changes,
- recompiled on rpm 3.

* Tue Jan 26 1999 Micha Kuratczyk <kurkens@polbox.com>
  [0.9.5-3]
- fixed pl translation,
- added "Group(pl)",
- cosmetics changes in %%files.

* Thu Oct 15 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.9.5-2]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- added %lang macros for files %{_datadir}/locale/*/LC_MESSAGES/chkconfig.mo
- added pl translation,
- fiew simplification in %files and %install,
- added "Requires: chkconfig = %%{version}" for ntsysv,
- added full %attr description in %files.
